



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Windows Azure 虚拟机的IP地址操作</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Windows Azure 虚拟机的IP地址操作</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 19:06:37 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>Windows Azure上的一个虚拟机对应两个IP地址，VIP和DIP。</p>
<ul><li>VIP，公网IPv4地址，动态分配。虚拟机停止（deallocate，在管理控制台上关机或者使用PowerShell关机）后再开启，其VIP会发生变化。</li>
<li>DIP，内网IPv4地址，在虚拟机所在的虚拟网络和子网中动态分配。虚拟机停止（deallocate，在管理控制台上关机或者使用PowerShell关机）后再开启，其DIP会发生变化。</li></ul>
<p>简单来说，Windows Azure上虚拟机的内网和外网地址默认都是动态分配的。这样的设计从云平台本身的角度来看的确是实现了按需分配资源，有效的提高了资源利用率。但无形中也给部分客户带来一些困惑。</p>
<p>其实Windows Azure已经提供了固定DIP和VIP的方法，只不过要通过PowerShell来进行操作。</p>
<p>创建固定外网IP地址并绑定到指定的虚拟机（云服务），即：Reserved IP</p>
<p>创建Reserved IP，每个固定IP地址（Reserved IP）都要指定一个唯一的名称。</p>
<div>
<pre class="prettyprint linenums">New-AzureReservedIP -ReservedIPName [固定IP地址名称] -Location "China North"</pre>
</div>
<p>查看Reserved IP</p>
<div>
<pre class="prettyprint linenums">Get-AzureReservedIP</pre>
</div>
<p>将创建好的Reserved IP关联到指定的虚拟机（云服务）上。实质上，Reserved IP是针对Cloud Service的，如果一个Cloud Service中有多个虚拟机，那么这些虚拟机是共享同一个Reserved IP的。具体原理请参见前文：<a href="http://www.cnblogs.com/hunterxue/p/4855060.html" rel="external nofollow noreferrer">为什么是Cloud Service</a>。</p>
<div>
<pre class="prettyprint linenums">Set-AzureReservedIPAssociation -ReservedIPName [固定IP地址名称] -ServiceName [云服务名称]</pre>
</div>
<p>为虚拟机设置固定内网IP地址（Static DIP）</p>
<p>首先通过Windows Azure管理控制台或者PowerShell查询到指定虚拟机默认分配到的内网地址并记录下来。然后使用PowerShell命令将这个内网地址设置为固定内网IP地址。</p>
<div>
<pre class="prettyprint linenums">Get-AzureVM -ServiceName [云服务名称] -Name [虚拟机名称] | Set-AzureStaticVNetIP -IPAddress [内网IP地址] | Update-AzureVM</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4950vx08.html">用maven在eclipse中创建Web项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdrm5x8.html">SharePoint 使用脚本为表单绑定事件</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy75odq.html">【原】JS原型的动态性及实例与原型的关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yynp0q.html">Linux小知识</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmmvlz9.html">C&num;窗体计算器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeo5d09.html">jquery的学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/96ozjwn9.html">hdu 1561</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvyd4zq.html">MySQL全连接&lpar;Full Join）实现&comma;union和union all用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljjrok9.html">24L01&sol;SI24R1调试笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey0kjm9.html">2015年4月27日---C语言：输出特殊图案，请在c环境中运行，看一看，Very Beautiful&excl;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj57wk8.html">DAM的使用结合串口和中断以及GPIO。</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkmnrj8.html">MiseringThread&period;java 解析页面线程</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k17v09.html">C&plus;&plus;中几种输入输出cin、cin&period;getline&lpar;&rpar;、getline&lpar;&rpar;、sscanf&lpar;&rpar;、sprintf&lpar;&rpar;、gets&lpar;&rpar;等</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7om6pg8.html">TNS-12541&colon; TNS&colon; 无监听程序 解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjp2lj9.html">移动端目标识别&lpar;1&rpar;&mdash;&mdash;使用TensorFlow Lite将tensorflow模型部署到移动端&lpar;ssd&rpar;之TensorFlow Lite简介</a>
		</li>
						<li><a href="https://www.batexi.com/a/9605rxv9.html">django 视图函数返回queryset对象或日期对象至浏览器ajax接收的写法</a>
		</li>
						<li><a href="https://www.batexi.com/a/960lg5n9.html">MYSQL之IFNULL</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7o2yyj8.html">bootstrap之navbar</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy6zjgq.html">Java构造器练习题</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pdynnq.html">hdu-1251（string&plus;map）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/4957k20q.html">用事实说话，成熟的ORM性能不是瓶颈，灵活性不是问题：EF5&period;0、PDF&period;NET5&period;0、Dapper原理分析与测试手记</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2y4ov8.html">CSS3盒模型温故</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlp6gx9.html">JavaScript学习笔记-正则表达式（语法篇）</a>
			</li>
						<li><a href="https://www.batexi.com/a/49grl6zq.html">使用 SQL的 for xml path来进行字符串拼接 &lpar;group by&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/m964o448.html">怎么查看Mac电脑的开机记录？</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlxmg1q.html">IOS 如何隐藏tabbar</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyodex8.html">c中的基本运算</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8exyrjq.html">JSON解析方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8exy2jq.html">GitHub Android Libraries Top 100 简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rwgm7q.html">GitHub Top 100 的项目&lpar;iOS&rpar;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
